-module(jsfw_settings).
-export([get_json/0]).

% [{<<"comp_table">>,[{<<"display_name">>,<<"Table">>}]},
%  {<<"blaha">>,[{<<"display_name">>,<<"Blaha">>}]}]

get_json() ->
	Components = jsfw_components:get(),
	TableData = [[ID, Display] || {ID, [{_, Display}]} <- Components],
	jsfw_json:encode(TableData).

